Bug 328359

Summary: Amarok crashes when using MusicBrains to update tags [@ MusicBrainzTagsItem::childCount]
Product: amarok Reporter: Danie Thom <danie.thom>
Component: Metadata Editing and ReadingAssignee: Amarok Developers <amarok-bugs-dist>
Status: RESOLVED FIXED    
Severity: crash CC: 123kash, adnanthp, afbach, alan.c.liddell, alfonso.ss.04, argymeg, augusto.trottola, boutilpj, buettner.stefan, bugs.kde, cfeck, cirdan52, conde.philippe, cyote, djordje.vujnovic, dragonrunehr, drarigsevy, edwardb_kde, egoitzro, emichaelbray, er.schuster, estebancster, eugenio89, f.thiessen, fabricio_fdop_007, fabrizio.ruggeri, gagbobada, gorinxx, greg.herring, Henning.Eric.Guertler, ilychuk, janne, Java_Jos, jcg.apollosoyuz, Johann.Streitwieser, kde.626483, kde.bugzilla.2012, kde, krista, kursatcancaglar, kurt, laurent.erx, lopezibanez, mattiiluca, mikkx, minikontointernetowe, m_louis30, nicolas.religieux, p92, pelloweb, peng.thinkblue, probert42, prolaser, rikiel, rockguycris, shadokin, steve, techniker, tittiatcoke, ukrkyi, valorie.zimmerman, virusrushtheater, ygnobl, yorrd.adornis
Priority: NOR Keywords: drkonqi
Version: 2.8.0   
Target Milestone: later   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 2.9
Attachments: New crash information added by DrKonqi
backtrace from SegFault
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
Amarok crash when tagging
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
output of amarok --debug up to crash
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi

Description Danie Thom 2013-12-03 08:23:18 UTC
Application: amarok (2.8.0)
KDE Platform Version: 4.11.2
Qt Version: 4.8.4
Operating System: Linux 3.11.0-13-generic x86_64
Distribution: Ubuntu 13.10

-- Information about the crash:
- What I was doing when the application crashed:

I was using MusicBrainz to update song tags when it crashed.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f7f9450f7c0 (LWP 19664))]

Thread 26 (Thread 0x7f7f7515a700 (LWP 19665)):
#0  0x00007f7f9126271d in write () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f7f8bf4b6ff in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7f8bf0a45d in g_source_attach () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7f7c34c12f in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007f7f7c3617e5 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#5  0x00007f7f7c301ab7 in g_simple_async_result_complete () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#6  0x00007f7f7c35f87b in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#7  0x00007f7f7c30288b in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#8  0x00007f7f8bf0c3b6 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f7f8bf0c708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f7f8bf0cb0a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f7f7c35fb66 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#12 0x00007f7f8bf310f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#13 0x00007f7f8d561f6e in start_thread (arg=0x7f7f7515a700) at pthread_create.c:311
#14 0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 25 (Thread 0x7f7f6ffff700 (LWP 19666)):
#0  0x00007f7f91263f7d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f7f8bf0c6a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7f8bf0c7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7f8bf0c7f9 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7f8bf310f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f7f8d561f6e in start_thread (arg=0x7f7f6ffff700) at pthread_create.c:311
#6  0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 24 (Thread 0x7f7f51453700 (LWP 19690)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f7f918bd3e4 in wait (time=60000, this=0x1f1f710) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x1f1f440, mutex=mutex@entry=0x1f1f438, time=time@entry=60000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7f9354b12e in AbstractDirectoryWatcher::run (this=0x1f1f410) at ../../src/scanner/AbstractDirectoryWatcher.cpp:65
#4  0x00007f7f8eae0cb2 in ThreadWeaver::JobRunHelper::runTheJob (this=this@entry=0x7f7f51452d70, th=th@entry=0x1f20e00, job=job@entry=0x1f1f410) at ../../../threadweaver/Weaver/Job.cpp:106
#5  0x00007f7f8eae0e6e in ThreadWeaver::Job::execute (this=0x1f1f410, th=0x1f20e00) at ../../../threadweaver/Weaver/Job.cpp:135
#6  0x00007f7f8eae06bb in ThreadWeaver::Thread::run (this=0x1f20e00) at ../../../threadweaver/Weaver/Thread.cpp:108
#7  0x00007f7f918bcf2f in QThreadPrivate::start (arg=0x1f20e00) at thread/qthread_unix.cpp:338
#8  0x00007f7f8d561f6e in start_thread (arg=0x7f7f51453700) at pthread_create.c:311
#9  0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 23 (Thread 0x7f7f4a83f700 (LWP 19691)):
#0  0x00007f7f8bf4c0e2 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7f8bf4c399 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7f8bf0c286 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7f8bf0c708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7f8bf0c7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f7f919e9a76 in QEventDispatcherGlib::processEvents (this=0x7f7f3c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f7f919bb5ef in QEventLoop::processEvents (this=this@entry=0x7f7f4a83ed70, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f7f919bb8e5 in QEventLoop::exec (this=this@entry=0x7f7f4a83ed70, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f7f918ba88f in QThread::exec (this=this@entry=0x1f23b40) at thread/qthread.cpp:542
#9  0x00007f7f9199cd13 in QInotifyFileSystemWatcherEngine::run (this=0x1f23b40) at io/qfilesystemwatcher_inotify.cpp:265
#10 0x00007f7f918bcf2f in QThreadPrivate::start (arg=0x1f23b40) at thread/qthread_unix.cpp:338
#11 0x00007f7f8d561f6e in start_thread (arg=0x7f7f4a83f700) at pthread_create.c:311
#12 0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 22 (Thread 0x7f7f49317700 (LWP 19692)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f918bd406 in wait (time=18446744073709551615, this=0x1f207d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x1f206a8, mutex=0x1f20930, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7f8eadee6c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1f20680, th=0x20fda30) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f7f8eae1903 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x20fda30, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x20fda30, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x20fda30, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x20fda30, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x20fda30, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x20fda30, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#10 0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x20fda30, previous=0x45aee00) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#11 0x00007f7f8eae061f in ThreadWeaver::Thread::run (this=0x20fda30) at ../../../threadweaver/Weaver/Thread.cpp:98
#12 0x00007f7f918bcf2f in QThreadPrivate::start (arg=0x20fda30) at thread/qthread_unix.cpp:338
#13 0x00007f7f8d561f6e in start_thread (arg=0x7f7f49317700) at pthread_create.c:311
#14 0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 21 (Thread 0x7f7f3bfff700 (LWP 19693)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f918bd406 in wait (time=18446744073709551615, this=0x1f207d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x1f206a8, mutex=0x1f20930, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7f8eadee6c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1f20680, th=0x2303bc0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f7f8eae1903 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2303bc0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2303bc0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2303bc0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2303bc0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2303bc0, previous=0x626aa00) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00007f7f8eae061f in ThreadWeaver::Thread::run (this=0x2303bc0) at ../../../threadweaver/Weaver/Thread.cpp:98
#10 0x00007f7f918bcf2f in QThreadPrivate::start (arg=0x2303bc0) at thread/qthread_unix.cpp:338
#11 0x00007f7f8d561f6e in start_thread (arg=0x7f7f3bfff700) at pthread_create.c:311
#12 0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 20 (Thread 0x7f7f3b7fe700 (LWP 19694)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f918bd406 in wait (time=18446744073709551615, this=0x1f207d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x1f206a8, mutex=0x1f20930, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7f8eadee6c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1f20680, th=0x2309230) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f7f8eae1903 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2309230, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2309230, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2309230, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2309230, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2309230, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2309230, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#10 0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2309230, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#11 0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2309230, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#12 0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2309230, previous=0x4bd8c80) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#13 0x00007f7f8eae061f in ThreadWeaver::Thread::run (this=0x2309230) at ../../../threadweaver/Weaver/Thread.cpp:98
#14 0x00007f7f918bcf2f in QThreadPrivate::start (arg=0x2309230) at thread/qthread_unix.cpp:338
#15 0x00007f7f8d561f6e in start_thread (arg=0x7f7f3b7fe700) at pthread_create.c:311
#16 0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 19 (Thread 0x7f7f3affd700 (LWP 19695)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f918bd406 in wait (time=18446744073709551615, this=0x1f207d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x1f206a8, mutex=0x1f20930, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7f8eadee6c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1f20680, th=0x2334860) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f7f8eae1903 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2334860, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2334860, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2334860, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x2334860, previous=0x3ca8f10) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00007f7f8eae061f in ThreadWeaver::Thread::run (this=0x2334860) at ../../../threadweaver/Weaver/Thread.cpp:98
#9  0x00007f7f918bcf2f in QThreadPrivate::start (arg=0x2334860) at thread/qthread_unix.cpp:338
#10 0x00007f7f8d561f6e in start_thread (arg=0x7f7f3affd700) at pthread_create.c:311
#11 0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 18 (Thread 0x7f7f3a7fc700 (LWP 19697)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f918bd406 in wait (time=18446744073709551615, this=0x1f207d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x1f206a8, mutex=0x1f20930, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7f8eadee6c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1f20680, th=0x7f7f34003350) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f7f8eae1903 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x7f7f34003350, previous=0x447c2d0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f7f8eae061f in ThreadWeaver::Thread::run (this=0x7f7f34003350) at ../../../threadweaver/Weaver/Thread.cpp:98
#6  0x00007f7f918bcf2f in QThreadPrivate::start (arg=0x7f7f34003350) at thread/qthread_unix.cpp:338
#7  0x00007f7f8d561f6e in start_thread (arg=0x7f7f3a7fc700) at pthread_create.c:311
#8  0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 17 (Thread 0x7f7f39ffb700 (LWP 19698)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f918bd406 in wait (time=18446744073709551615, this=0x1f207d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x1f206a8, mutex=0x1f20930, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7f8eadee6c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1f20680, th=0x7f7f34009310) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f7f8eae1903 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x7f7f34009310, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x7f7f34009310, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x7f7f34009310, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x7f7f34009310, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x7f7f34009310, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x7f7f34009310, previous=0x45d4c20) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#10 0x00007f7f8eae061f in ThreadWeaver::Thread::run (this=0x7f7f34009310) at ../../../threadweaver/Weaver/Thread.cpp:98
#11 0x00007f7f918bcf2f in QThreadPrivate::start (arg=0x7f7f34009310) at thread/qthread_unix.cpp:338
#12 0x00007f7f8d561f6e in start_thread (arg=0x7f7f39ffb700) at pthread_create.c:311
#13 0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 16 (Thread 0x7f7f397fa700 (LWP 19699)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f918bd406 in wait (time=18446744073709551615, this=0x1f207d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x1f206a8, mutex=0x1f20930, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7f8eadee6c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1f20680, th=0x7f7f34020470) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f7f8eae1903 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x7f7f34020470, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f7f8eae191c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f209c0, th=0x7f7f34020470, previous=0x4b9e060) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f7f8eae061f in ThreadWeaver::Thread::run (this=0x7f7f34020470) at ../../../threadweaver/Weaver/Thread.cpp:98
#7  0x00007f7f918bcf2f in QThreadPrivate::start (arg=0x7f7f34020470) at thread/qthread_unix.cpp:338
#8  0x00007f7f8d561f6e in start_thread (arg=0x7f7f397fa700) at pthread_create.c:311
#9  0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 15 (Thread 0x7f7f22634700 (LWP 19705)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f8835d1cd in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f7f8835d209 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f7f8d561f6e in start_thread (arg=0x7f7f22634700) at pthread_create.c:311
#4  0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 14 (Thread 0x7f7f21187700 (LWP 19709)):
#0  0x00007f7f91263f7d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f7f8bf0c6a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7f8bf0c7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7f919e9a76 in QEventDispatcherGlib::processEvents (this=0x7f7ecc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f7f919bb5ef in QEventLoop::processEvents (this=this@entry=0x7f7f21186db0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f7f919bb8e5 in QEventLoop::exec (this=this@entry=0x7f7f21186db0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f7f918ba88f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#7  0x00007f7f918bcf2f in QThreadPrivate::start (arg=0x265d120) at thread/qthread_unix.cpp:338
#8  0x00007f7f8d561f6e in start_thread (arg=0x7f7f21187700) at pthread_create.c:311
#9  0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 13 (Thread 0x7f7f6effd700 (LWP 19736)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f8db3c06b in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007f7f8db3c0a9 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007f7f8d561f6e in start_thread (arg=0x7f7f6effd700) at pthread_create.c:311
#4  0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 12 (Thread 0x7f7e43e06700 (LWP 19956)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f8bf4c617 in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7f82f49f33 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#3  0x00007f7f8bf31ab6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7f8bf310f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f7f8d561f6e in start_thread (arg=0x7f7e43e06700) at pthread_create.c:311
#6  0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 11 (Thread 0x7f7e23fff700 (LWP 19969)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f8809dbbd in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f7f8838ca76 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f7f8d561f6e in start_thread (arg=0x7f7e23fff700) at pthread_create.c:311
#4  0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 10 (Thread 0x7f7e43605700 (LWP 20157)):
#0  0x00007f7f8bf0b830 in g_main_context_acquire () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7f8bf0c565 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7f8bf0c7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7f919e9a76 in QEventDispatcherGlib::processEvents (this=0x7f7e38006fd0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f7f919bb5ef in QEventLoop::processEvents (this=this@entry=0x7f7e43604d70, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f7f919bb8e5 in QEventLoop::exec (this=this@entry=0x7f7e43604d70, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f7f918ba88f in QThread::exec (this=this@entry=0x3f53e50) at thread/qthread.cpp:542
#7  0x00007f7f9199cd13 in QInotifyFileSystemWatcherEngine::run (this=0x3f53e50) at io/qfilesystemwatcher_inotify.cpp:265
#8  0x00007f7f918bcf2f in QThreadPrivate::start (arg=0x3f53e50) at thread/qthread_unix.cpp:338
#9  0x00007f7f8d561f6e in start_thread (arg=0x7f7e43605700) at pthread_create.c:311
#10 0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 9 (Thread 0x7f7e41e02700 (LWP 20573)):
#0  0x00007f7f9126271d in write () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f7f8bf4b6ff in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7f82efbdb3 in gst_bus_post () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#3  0x00007f7f82f093c3 in gst_element_post_message () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#4  0x00007f7f82ef4fc4 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#5  0x00007f7f82f27765 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#6  0x00007f7f4f565359 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstplaybin.so
#7  0x00007f7f82ef1f28 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#8  0x00007f7f82efbb22 in gst_bus_post () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#9  0x00007f7f82f093c3 in gst_element_post_message () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#10 0x00007f7f82ef4fc4 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#11 0x00007f7f4f56c1e5 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstplaybin.so
#12 0x00007f7f82ef1f28 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#13 0x00007f7f82efbb22 in gst_bus_post () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#14 0x00007f7f82f093c3 in gst_element_post_message () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#15 0x00007f7f82ef4fc4 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#16 0x00007f7f82ef1f28 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#17 0x00007f7f82efbb22 in gst_bus_post () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#18 0x00007f7f82f093c3 in gst_element_post_message () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#19 0x00007f7f82ef4fc4 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#20 0x00007f7f82ef1f28 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#21 0x00007f7f82efbb22 in gst_bus_post () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#22 0x00007f7f82f093c3 in gst_element_post_message () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#23 0x00007f7f82ef4fc4 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#24 0x00007f7f82ef1f28 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#25 0x00007f7f82efbb22 in gst_bus_post () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#26 0x00007f7f82f093c3 in gst_element_post_message () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#27 0x00007f7f82f09849 in gst_element_message_full () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#28 0x00007f7f5c525aa7 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstpulse.so
#29 0x00007f7f5c52606c in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstpulse.so
#30 0x00007f7f5c2f3948 in ?? () from /usr/lib/x86_64-linux-gnu/libgstaudio-0.10.so.0
#31 0x00007f7f82f022e1 in gst_clock_get_internal_time () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#32 0x00007f7f82f02478 in gst_clock_get_time () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#33 0x00007f7f82f42dab in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#34 0x00007f7f82f02640 in gst_clock_id_wait () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#35 0x00007f7f831d0017 in gst_base_sink_wait_clock () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#36 0x00007f7f831d2407 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#37 0x00007f7f831d3f8f in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#38 0x00007f7f831d4436 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#39 0x00007f7f831d476f in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#40 0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#41 0x00007f7f831e1cf5 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#42 0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#43 0x00007f7f831e1cf5 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#44 0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#45 0x00007f7f4fbd4329 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#46 0x00007f7f82f49d64 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#47 0x00007f7f8bf31ab6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#48 0x00007f7f8bf310f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#49 0x00007f7f8d561f6e in start_thread (arg=0x7f7e41e02700) at pthread_create.c:311
#50 0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 8 (Thread 0x7f7e44607700 (LWP 20574)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f8bf4c617 in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7f4fbd332d in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#4  0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#5  0x00007f7f4fbde914 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#6  0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#7  0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#8  0x00007f7f831e1cf5 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#9  0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#10 0x00007f7f831e1cf5 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#11 0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#12 0x00007f7f4fbd4329 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#13 0x00007f7f82f49d64 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#14 0x00007f7f8bf31ab6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#15 0x00007f7f8bf310f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#16 0x00007f7f8d561f6e in start_thread (arg=0x7f7e44607700) at pthread_create.c:311
#17 0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 7 (Thread 0x7f7f4f4f7700 (LWP 20575)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f8bf4c617 in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7f4fbd332d in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#4  0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#5  0x00007f7f4fbde450 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#6  0x00007f7f4fbde914 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#7  0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#8  0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#9  0x00007f7f831e1cf5 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#10 0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#11 0x00007f7f831e1cf5 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#12 0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#13 0x00007f7f4fbd4329 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#14 0x00007f7f82f49d64 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#15 0x00007f7f8bf31ab6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#16 0x00007f7f8bf310f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#17 0x00007f7f8d561f6e in start_thread (arg=0x7f7f4f4f7700) at pthread_create.c:311
#18 0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7f7f4ecf6700 (LWP 20576)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f8bf4c617 in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7f82f49f33 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#3  0x00007f7f8bf31ab6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7f8bf310f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f7f8d561f6e in start_thread (arg=0x7f7f4ecf6700) at pthread_create.c:311
#6  0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7f7f4e4f5700 (LWP 20577)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f8bf4c617 in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7f4fbd332d in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#4  0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#5  0x00007f7f4fbde450 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#6  0x00007f7f4fbde914 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#7  0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#8  0x00007f7f4fbd4329 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#9  0x00007f7f82f49d64 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#10 0x00007f7f8bf31ab6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f7f8bf310f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007f7f8d561f6e in start_thread (arg=0x7f7f4e4f5700) at pthread_create.c:311
#13 0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7f7f4dcf4700 (LWP 20578)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f8bf4c617 in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7f82f49f33 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#3  0x00007f7f8bf31ab6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7f8bf310f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f7f8d561f6e in start_thread (arg=0x7f7f4dcf4700) at pthread_create.c:311
#6  0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7f7f4d4f3700 (LWP 20579)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7f8bf4c617 in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7f831d00ec in gst_base_sink_wait_preroll () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#3  0x00007f7f5c3036a8 in ?? () from /usr/lib/x86_64-linux-gnu/libgstaudio-0.10.so.0
#4  0x00007f7f831d26af in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#5  0x00007f7f831d3f8f in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#6  0x00007f7f831d4436 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#7  0x00007f7f831d476f in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#8  0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#9  0x00007f7f831e1cf5 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#10 0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#11 0x00007f7f831e1cf5 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#12 0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#13 0x00007f7f831e1cf5 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#14 0x00007f7f82f24831 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#15 0x00007f7f4fbd4329 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#16 0x00007f7f82f49d64 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#17 0x00007f7f8bf31ab6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007f7f8bf310f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007f7f8d561f6e in start_thread (arg=0x7f7f4d4f3700) at pthread_create.c:311
#20 0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7f7e22df6700 (LWP 20695)):
#0  __pthread_mutex_lock_full (mutex=0x573e050) at pthread_mutex_lock.c:308
#1  0x00007f7f8413b06e in pa_mutex_lock () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-4.0.so
#2  0x00007f7f8908504b in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007f7f8907684c in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007f7f89076ede in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007f7f89076f90 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f7f89084ff3 in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#7  0x00007f7f8413bee8 in ?? () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-4.0.so
#8  0x00007f7f8d561f6e in start_thread (arg=0x7f7e22df6700) at pthread_create.c:311
#9  0x00007f7f912709cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7f7f9450f7c0 (LWP 19664)):
[KCrash Handler]
#6  QReadWriteLock::lockForRead (this=this@entry=0x38) at thread/qreadwritelock.cpp:149
#7  0x00007f7f936bff80 in relock (this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:111
#8  QReadLocker (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:130
#9  MusicBrainzTagsItem::childCount (this=0x0) at ../../src/musicbrainz/MusicBrainzTagsItem.cpp:216
#10 0x00007f7f936c5c64 in MusicBrainzTagsModel::flags (this=0x46f66b0, index=...) at ../../src/musicbrainz/MusicBrainzTagsModel.cpp:210
#11 0x00007f7f9292237b in QSortFilterProxyModel::flags (this=<optimized out>, index=...) at itemviews/qsortfilterproxymodel.cpp:2003
#12 0x00007f7f928e1fc3 in QTreeView::drawRow (this=0x5058350, painter=0x7fff73e44810, option=..., index=...) at itemviews/qtreeview.cpp:1640
#13 0x00007f7f928e4a22 in QTreeView::drawTree (this=this@entry=0x5058350, painter=painter@entry=0x7fff73e44810, region=...) at itemviews/qtreeview.cpp:1447
#14 0x00007f7f928e883c in QTreeView::paintEvent (this=0x5058350, event=0x7fff73e44f20) at itemviews/qtreeview.cpp:1275
#15 0x00007f7f923fd104 in QWidget::event (this=this@entry=0x5058350, event=event@entry=0x7fff73e44f20) at kernel/qwidget.cpp:8532
#16 0x00007f7f9279e5be in QFrame::event (this=0x5058350, e=0x7fff73e44f20) at widgets/qframe.cpp:557
#17 0x00007f7f928ad6b3 in QAbstractItemView::viewportEvent (this=this@entry=0x5058350, event=event@entry=0x7fff73e44f20) at itemviews/qabstractitemview.cpp:1644
#18 0x00007f7f928ec50e in QTreeView::viewportEvent (this=0x5058350, event=0x7fff73e44f20) at itemviews/qtreeview.cpp:1257
#19 0x00007f7f919bca26 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=this@entry=0x1754cd0, receiver=receiver@entry=0x512a520, event=event@entry=0x7fff73e44f20) at kernel/qcoreapplication.cpp:1056
#20 0x00007f7f923adddc in QApplicationPrivate::notify_helper (this=this@entry=0x1754cd0, receiver=receiver@entry=0x512a520, e=e@entry=0x7fff73e44f20) at kernel/qapplication.cpp:4563
#21 0x00007f7f923b4470 in QApplication::notify (this=this@entry=0x7fff73e45980, receiver=receiver@entry=0x512a520, e=e@entry=0x7fff73e44f20) at kernel/qapplication.cpp:4353
#22 0x00007f7f93f1da6a in KApplication::notify (this=0x7fff73e45980, receiver=0x512a520, event=0x7fff73e44f20) at ../../kdeui/kernel/kapplication.cpp:311
#23 0x00007f7f919bc8bd in QCoreApplication::notifyInternal (this=0x7fff73e45980, receiver=receiver@entry=0x512a520, event=event@entry=0x7fff73e44f20) at kernel/qcoreapplication.cpp:946
#24 0x00007f7f923f7811 in sendSpontaneousEvent (event=0x7fff73e44f20, receiver=0x512a520) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#25 QWidgetPrivate::drawWidget (this=this@entry=0x46ff080, pdev=0x47a7f60, rgn=..., offset=..., flags=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x3f58ac0) at kernel/qwidget.cpp:5598
#26 0x00007f7f925b9f4a in QWidgetBackingStore::sync (this=0x3f58ac0) at painting/qbackingstore.cpp:1365
#27 0x00007f7f923ecfc0 in QWidgetPrivate::syncBackingStore (this=this@entry=0x4487200) at kernel/qwidget.cpp:1896
#28 0x00007f7f923fcc82 in QWidget::event (this=0x3b14d60, event=0x474d3f0) at kernel/qwidget.cpp:8679
#29 0x00007f7f923addfc in QApplicationPrivate::notify_helper (this=this@entry=0x1754cd0, receiver=receiver@entry=0x3b14d60, e=e@entry=0x474d3f0) at kernel/qapplication.cpp:4567
#30 0x00007f7f923b4470 in QApplication::notify (this=this@entry=0x7fff73e45980, receiver=receiver@entry=0x3b14d60, e=e@entry=0x474d3f0) at kernel/qapplication.cpp:4353
#31 0x00007f7f93f1da6a in KApplication::notify (this=0x7fff73e45980, receiver=0x3b14d60, event=0x474d3f0) at ../../kdeui/kernel/kapplication.cpp:311
#32 0x00007f7f919bc8bd in QCoreApplication::notifyInternal (this=0x7fff73e45980, receiver=receiver@entry=0x3b14d60, event=event@entry=0x474d3f0) at kernel/qcoreapplication.cpp:946
#33 0x00007f7f919bfe1f in sendEvent (event=0x474d3f0, receiver=0x3b14d60) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#34 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x16661f0) at kernel/qcoreapplication.cpp:1570
#35 0x00007f7f919c02c3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1463
#36 0x00007f7f919ea073 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#37 postEventSourceDispatch (s=0x1754b00) at kernel/qeventdispatcher_glib.cpp:279
#38 0x00007f7f8bf0c3b6 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#39 0x00007f7f8bf0c708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#40 0x00007f7f8bf0c7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#41 0x00007f7f919e9a55 in QEventDispatcherGlib::processEvents (this=0x1667ad0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#42 0x00007f7f9244f9d6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#43 0x00007f7f919bb5ef in QEventLoop::processEvents (this=this@entry=0x7fff73e45850, flags=...) at kernel/qeventloop.cpp:149
#44 0x00007f7f919bb8e5 in QEventLoop::exec (this=this@entry=0x7fff73e45850, flags=...) at kernel/qeventloop.cpp:204
#45 0x00007f7f919c0e5b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#46 0x00007f7f923ac34c in QApplication::exec () at kernel/qapplication.cpp:3828
#47 0x0000000000408393 in main (argc=<optimized out>, argv=0x7fff73e45ae8) at ../../src/main.cpp:329

Possible duplicates by query: bug 308037.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2013-12-03 08:34:14 UTC
Is this crash reproducible? If yes, please give detailed steps how to reproduce it.
Comment 2 Myriam Schweingruber 2014-07-27 15:56:01 UTC
*** Bug 337837 has been marked as a duplicate of this bug. ***
Comment 3 Myriam Schweingruber 2014-08-10 19:59:15 UTC
We really would appreciate getting some more information on how to reproduce this crash...
Comment 4 Eugenio 2014-11-02 16:48:09 UTC
Application: amarok (2.8.0)
KDE Platform Version: 4.14.1
Qt Version: 4.8.6
Operating System: Linux 3.16-3-amd64 x86_64
Distribution: Debian GNU/Linux testing (jessie)

-- Information about the crash:
- What I was doing when the application crashed:

I can reproduce this crash.. Unfortunately I can not give a lot of information: I used the musicbrainz plugin a lot of time before and never crashed (I did not changed the configuration)..
I simply added 2-3 album, then used the musicbrainz plugin. It worked for 1 album and then crashed for the others.
Now it keep crashing every time with all songs (new and also old one).
Normally the advance bar goes to 50% and then you can choose the tag, but when I experience this crash it goes very fast to 50% without loading almost any song and then crash (a lot of songs are grey, some are missing).

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f7cb319f800 (LWP 4116))]

Thread 12 (Thread 0x7f7c8a04e700 (LWP 4118)):
#0  0x00007f7cafde017d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f7ca6425cc1 in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#2  0x00007f7ca64172a1 in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007f7ca641793e in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007f7ca64179f0 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007f7ca6425c56 in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f7c9e196a98 in ?? () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-5.0.so
#7  0x00007f7cac0320a4 in start_thread (arg=0x7f7c8a04e700) at pthread_create.c:309
#8  0x00007f7cafde8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 11 (Thread 0x7f7c7fdcb700 (LWP 4120)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f7cb0433924 in wait (time=60000, this=0x2287f30) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x2287c60, mutex=mutex@entry=0x2287c58, time=time@entry=60000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7cb216dfb6 in AbstractDirectoryWatcher::run (this=0x2287c30) at ../../src/scanner/AbstractDirectoryWatcher.cpp:65
#4  0x00007f7cad617912 in ThreadWeaver::JobRunHelper::runTheJob (this=this@entry=0x7f7c7fdcad90, th=th@entry=0x21fe7c0, job=job@entry=0x2287c30) at ../../../threadweaver/Weaver/Job.cpp:106
#5  0x00007f7cad617b28 in ThreadWeaver::Job::execute (this=0x2287c30, th=0x21fe7c0) at ../../../threadweaver/Weaver/Job.cpp:135
#6  0x00007f7cad6172cb in ThreadWeaver::Thread::run (this=0x21fe7c0) at ../../../threadweaver/Weaver/Thread.cpp:108
#7  0x00007f7cb04333ef in QThreadPrivate::start (arg=0x21fe7c0) at thread/qthread_unix.cpp:349
#8  0x00007f7cac0320a4 in start_thread (arg=0x7f7c7fdcb700) at pthread_create.c:309
#9  0x00007f7cafde8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 10 (Thread 0x7f7c7e0b5700 (LWP 4121)):
#0  0x00007f7cafde017d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f7ca92ecee4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7ca92ecffc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7cb056c507 in QEventDispatcherGlib::processEvents (this=0x7f7c700008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f7cb053bae1 in QEventLoop::processEvents (this=this@entry=0x7f7c7e0b4d80, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f7cb053be45 in QEventLoop::exec (this=this@entry=0x7f7c7e0b4d80, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f7cb0430b89 in QThread::exec (this=this@entry=0x228c300) at thread/qthread.cpp:538
#7  0x00007f7cb051c483 in QInotifyFileSystemWatcherEngine::run (this=0x228c300) at io/qfilesystemwatcher_inotify.cpp:265
#8  0x00007f7cb04333ef in QThreadPrivate::start (arg=0x228c300) at thread/qthread_unix.cpp:349
#9  0x00007f7cac0320a4 in start_thread (arg=0x7f7c7e0b5700) at pthread_create.c:309
#10 0x00007f7cafde8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 9 (Thread 0x7f7c7cd31700 (LWP 4122)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7cb0433946 in wait (time=18446744073709551615, this=0x22895b0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x22894b8, mutex=0x21c9120, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7cad61586c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2289490, th=0x23bdb70) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f7cad618743 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x23bdb70, previous=0x3da3890) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f7cad61722f in ThreadWeaver::Thread::run (this=0x23bdb70) at ../../../threadweaver/Weaver/Thread.cpp:98
#6  0x00007f7cb04333ef in QThreadPrivate::start (arg=0x23bdb70) at thread/qthread_unix.cpp:349
#7  0x00007f7cac0320a4 in start_thread (arg=0x7f7c7cd31700) at pthread_create.c:309
#8  0x00007f7cafde8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 8 (Thread 0x7f7c6fd9f700 (LWP 4123)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7cb0433946 in wait (time=18446744073709551615, this=0x22895b0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x22894b8, mutex=0x21c9120, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7cad61586c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2289490, th=0x24446c0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f7cad618743 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x24446c0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x24446c0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x24446c0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x24446c0, previous=0x3b66dc0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00007f7cad61722f in ThreadWeaver::Thread::run (this=0x24446c0) at ../../../threadweaver/Weaver/Thread.cpp:98
#9  0x00007f7cb04333ef in QThreadPrivate::start (arg=0x24446c0) at thread/qthread_unix.cpp:349
#10 0x00007f7cac0320a4 in start_thread (arg=0x7f7c6fd9f700) at pthread_create.c:309
#11 0x00007f7cafde8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 7 (Thread 0x7f7c6edfa700 (LWP 4124)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7cb0433946 in wait (time=18446744073709551615, this=0x22895b0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x22894b8, mutex=0x21c9120, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7cad61586c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2289490, th=0x2818c40) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f7cad618743 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x2818c40, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x2818c40, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x2818c40, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x2818c40, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x2818c40, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x2818c40, previous=0x3f23300) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#10 0x00007f7cad61722f in ThreadWeaver::Thread::run (this=0x2818c40) at ../../../threadweaver/Weaver/Thread.cpp:98
#11 0x00007f7cb04333ef in QThreadPrivate::start (arg=0x2818c40) at thread/qthread_unix.cpp:349
#12 0x00007f7cac0320a4 in start_thread (arg=0x7f7c6edfa700) at pthread_create.c:309
#13 0x00007f7cafde8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 6 (Thread 0x7f7c6e5f9700 (LWP 4125)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7cb0433946 in wait (time=18446744073709551615, this=0x22895b0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x22894b8, mutex=0x21c9120, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7cad61586c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2289490, th=0x281ccd0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f7cad618743 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281ccd0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281ccd0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281ccd0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281ccd0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281ccd0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281ccd0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#10 0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281ccd0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#11 0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281ccd0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#12 0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281ccd0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#13 0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281ccd0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#14 0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281ccd0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#15 0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281ccd0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#16 0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281ccd0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#17 0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281ccd0, previous=0x3d8e2d0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#18 0x00007f7cad61722f in ThreadWeaver::Thread::run (this=0x281ccd0) at ../../../threadweaver/Weaver/Thread.cpp:98
#19 0x00007f7cb04333ef in QThreadPrivate::start (arg=0x281ccd0) at thread/qthread_unix.cpp:349
#20 0x00007f7cac0320a4 in start_thread (arg=0x7f7c6e5f9700) at pthread_create.c:309
#21 0x00007f7cafde8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 5 (Thread 0x7f7c6ddf8700 (LWP 4126)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7cb0433946 in wait (time=18446744073709551615, this=0x22895b0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x22894b8, mutex=0x21c9120, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7cad61586c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2289490, th=0x281c1f0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f7cad618743 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281c1f0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281c1f0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281c1f0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281c1f0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281c1f0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281c1f0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#10 0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281c1f0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#11 0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281c1f0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#12 0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281c1f0, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#13 0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x281c1f0, previous=0x3ec4e80) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#14 0x00007f7cad61722f in ThreadWeaver::Thread::run (this=0x281c1f0) at ../../../threadweaver/Weaver/Thread.cpp:98
#15 0x00007f7cb04333ef in QThreadPrivate::start (arg=0x281c1f0) at thread/qthread_unix.cpp:349
#16 0x00007f7cac0320a4 in start_thread (arg=0x7f7c6ddf8700) at pthread_create.c:309
#17 0x00007f7cafde8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 4 (Thread 0x7f7c6d1d3700 (LWP 4127)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7cb0433946 in wait (time=18446744073709551615, this=0x22895b0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x22894b8, mutex=0x21c9120, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7cad61586c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2289490, th=0x28c4410) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f7cad618743 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x28c4410, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x28c4410, previous=0x448dd20) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f7cad61722f in ThreadWeaver::Thread::run (this=0x28c4410) at ../../../threadweaver/Weaver/Thread.cpp:98
#7  0x00007f7cb04333ef in QThreadPrivate::start (arg=0x28c4410) at thread/qthread_unix.cpp:349
#8  0x00007f7cac0320a4 in start_thread (arg=0x7f7c6d1d3700) at pthread_create.c:309
#9  0x00007f7cafde8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3 (Thread 0x7f7c6c9d2700 (LWP 4128)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7cb0433946 in wait (time=18446744073709551615, this=0x22895b0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x22894b8, mutex=0x21c9120, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7cad61586c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2289490, th=0x28c5d30) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f7cad618743 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x28c5d30, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x28c5d30, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x28c5d30, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x28c5d30, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x28c5d30, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x28c5d30, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#10 0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x28c5d30, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#11 0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x28c5d30, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#12 0x00007f7cad61875c in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c0ee0, th=0x28c5d30, previous=0x30dccc0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#13 0x00007f7cad61722f in ThreadWeaver::Thread::run (this=0x28c5d30) at ../../../threadweaver/Weaver/Thread.cpp:98
#14 0x00007f7cb04333ef in QThreadPrivate::start (arg=0x28c5d30) at thread/qthread_unix.cpp:349
#15 0x00007f7cac0320a4 in start_thread (arg=0x7f7c6c9d2700) at pthread_create.c:309
#16 0x00007f7cafde8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7f7c5d70c700 (LWP 4131)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7cac616afa in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007f7cac616b29 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007f7cac0320a4 in start_thread (arg=0x7f7c5d70c700) at pthread_create.c:309
#4  0x00007f7cafde8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7f7cb319f800 (LWP 4116)):
[KCrash Handler]
#6  QReadWriteLock::lockForRead (this=this@entry=0x38) at thread/qreadwritelock.cpp:149
#7  0x00007f7cb22f4740 in relock (this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:111
#8  QReadLocker (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:130
#9  MusicBrainzTagsItem::childCount (this=0x0) at ../../src/musicbrainz/MusicBrainzTagsItem.cpp:216
#10 0x00007f7cb22fab4c in MusicBrainzTagsModel::flags (this=0x35b0840, index=...) at ../../src/musicbrainz/MusicBrainzTagsModel.cpp:210
#11 0x00007f7cb150c07b in QSortFilterProxyModel::flags (this=<optimized out>, index=...) at itemviews/qsortfilterproxymodel.cpp:2003
#12 0x00007f7cb14c39f6 in QTreeView::drawRow (this=0x3cff0a0, painter=0x7ffff4d748e0, option=..., index=...) at itemviews/qtreeview.cpp:1631
#13 0x00007f7cb14c6e14 in QTreeView::drawTree (this=this@entry=0x3cff0a0, painter=painter@entry=0x7ffff4d748e0, region=...) at itemviews/qtreeview.cpp:1438
#14 0x00007f7cb14cadf6 in QTreeView::paintEvent (this=0x3cff0a0, event=0x7ffff4d74fe0) at itemviews/qtreeview.cpp:1270
#15 0x00007f7cb0faf4d8 in QWidget::event (this=0x3cff0a0, event=0x7ffff4d74fe0) at kernel/qwidget.cpp:8775
#16 0x00007f7cb13700be in QFrame::event (this=0x3cff0a0, e=0x7ffff4d74fe0) at widgets/qframe.cpp:557
#17 0x00007f7cb148cd13 in QAbstractItemView::viewportEvent (this=this@entry=0x3cff0a0, event=event@entry=0x7ffff4d74fe0) at itemviews/qabstractitemview.cpp:1644
#18 0x00007f7cb14cf090 in QTreeView::viewportEvent (this=0x3cff0a0, event=0x7ffff4d74fe0) at itemviews/qtreeview.cpp:1252
#19 0x00007f7cb053d0f6 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=this@entry=0x1ee7ea0, receiver=receiver@entry=0x3bd6770, event=event@entry=0x7ffff4d74fe0) at kernel/qcoreapplication.cpp:1065
#20 0x00007f7cb0f5c27c in QApplicationPrivate::notify_helper (this=this@entry=0x1ee7ea0, receiver=receiver@entry=0x3bd6770, e=e@entry=0x7ffff4d74fe0) at kernel/qapplication.cpp:4566
#21 0x00007f7cb0f62da8 in QApplication::notify (this=this@entry=0x7ffff4d76d00, receiver=receiver@entry=0x3bd6770, e=e@entry=0x7ffff4d74fe0) at kernel/qapplication.cpp:4356
#22 0x00007f7cb2ba113a in KApplication::notify (this=0x7ffff4d76d00, receiver=0x3bd6770, event=0x7ffff4d74fe0) at ../../kdeui/kernel/kapplication.cpp:311
#23 0x00007f7cb053cf8d in QCoreApplication::notifyInternal (this=0x7ffff4d76d00, receiver=receiver@entry=0x3bd6770, event=event@entry=0x7ffff4d74fe0) at kernel/qcoreapplication.cpp:955
#24 0x00007f7cb0fa9bad in sendSpontaneousEvent (event=0x7ffff4d74fe0, receiver=0x3bd6770) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#25 QWidgetPrivate::drawWidget (this=this@entry=0x3bc98e0, pdev=pdev@entry=0x3309940, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=0x39c0430) at kernel/qwidget.cpp:5599
#26 0x00007f7cb0faa675 in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x3bc9450, pdev=pdev@entry=0x3309940, siblings=..., index=<optimized out>, index@entry=2, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x39c0430) at kernel/qwidget.cpp:5808
#27 0x00007f7cb0faa4ed in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x3bc9450, pdev=pdev@entry=0x3309940, siblings=..., index=2, index@entry=3, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x39c0430) at kernel/qwidget.cpp:5795
#28 0x00007f7cb0faa4ed in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x3bc9450, pdev=pdev@entry=0x3309940, siblings=..., index=3, index@entry=4, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x39c0430) at kernel/qwidget.cpp:5795
#29 0x00007f7cb0faa4ed in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x3bc9450, pdev=pdev@entry=0x3309940, siblings=..., index=4, index@entry=5, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x39c0430) at kernel/qwidget.cpp:5795
#30 0x00007f7cb0faa4ed in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x3bc9450, pdev=pdev@entry=0x3309940, siblings=..., index=5, index@entry=6, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x39c0430) at kernel/qwidget.cpp:5795
#31 0x00007f7cb0faa4ed in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x3bc9450, pdev=pdev@entry=0x3309940, siblings=..., index=6, index@entry=8, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x39c0430) at kernel/qwidget.cpp:5795
#32 0x00007f7cb0faa4ed in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x3bc9450, pdev=pdev@entry=0x3309940, siblings=..., index=8, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x39c0430) at kernel/qwidget.cpp:5795
#33 0x00007f7cb0fa971a in QWidgetPrivate::drawWidget (this=this@entry=0x3bc9450, pdev=pdev@entry=0x3309940, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=0x39c0430) at kernel/qwidget.cpp:5652
#34 0x00007f7cb0faa675 in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x3cfed80, pdev=pdev@entry=0x3309940, siblings=..., index=<optimized out>, index@entry=2, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x39c0430) at kernel/qwidget.cpp:5808
#35 0x00007f7cb0faa4ed in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x3cfed80, pdev=pdev@entry=0x3309940, siblings=..., index=2, index@entry=3, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x39c0430) at kernel/qwidget.cpp:5795
#36 0x00007f7cb0faa4ed in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x3cfed80, pdev=pdev@entry=0x3309940, siblings=..., index=3, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x39c0430) at kernel/qwidget.cpp:5795
#37 0x00007f7cb0fa971a in QWidgetPrivate::drawWidget (this=this@entry=0x3cfed80, pdev=pdev@entry=0x3309940, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=0x39c0430) at kernel/qwidget.cpp:5652
#38 0x00007f7cb0faa675 in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x39ec340, pdev=pdev@entry=0x3309940, siblings=..., index=<optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x39c0430) at kernel/qwidget.cpp:5808
#39 0x00007f7cb0fa971a in QWidgetPrivate::drawWidget (this=0x39ec340, pdev=0x3309940, rgn=..., offset=..., flags=flags@entry=5, sharedPainter=sharedPainter@entry=0x0, backingStore=0x39c0430) at kernel/qwidget.cpp:5652
#40 0x00007f7cb117a855 in QWidgetBackingStore::sync (this=0x39c0430) at painting/qbackingstore.cpp:1373
#41 0x00007f7cb0f9e2f0 in QWidgetPrivate::syncBackingStore (this=0x39ec340) at kernel/qwidget.cpp:1894
#42 0x00007f7cb0faf5a8 in QWidget::event (this=0x3473f90, event=0x36617c0) at kernel/qwidget.cpp:8693
#43 0x00007f7cb0f5c29c in QApplicationPrivate::notify_helper (this=this@entry=0x1ee7ea0, receiver=receiver@entry=0x3473f90, e=e@entry=0x36617c0) at kernel/qapplication.cpp:4570
#44 0x00007f7cb0f62da8 in QApplication::notify (this=this@entry=0x7ffff4d76d00, receiver=receiver@entry=0x3473f90, e=e@entry=0x36617c0) at kernel/qapplication.cpp:4356
#45 0x00007f7cb2ba113a in KApplication::notify (this=0x7ffff4d76d00, receiver=0x3473f90, event=0x36617c0) at ../../kdeui/kernel/kapplication.cpp:311
#46 0x00007f7cb053cf8d in QCoreApplication::notifyInternal (this=0x7ffff4d76d00, receiver=receiver@entry=0x3473f90, event=event@entry=0x36617c0) at kernel/qcoreapplication.cpp:955
#47 0x00007f7cb0540821 in sendEvent (event=0x36617c0, receiver=0x3473f90) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#48 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x1dce220) at kernel/qcoreapplication.cpp:1579
#49 0x00007f7cb0540cb3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1472
#50 0x00007f7cb056c3a3 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#51 postEventSourceDispatch (s=0x1ed8830) at kernel/qeventdispatcher_glib.cpp:280
#52 0x00007f7ca92ecc5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#53 0x00007f7ca92ecf48 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#54 0x00007f7ca92ecffc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#55 0x00007f7cb056c4ed in QEventDispatcherGlib::processEvents (this=0x1dcfb20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#56 0x00007f7cb1000b96 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#57 0x00007f7cb053bae1 in QEventLoop::processEvents (this=this@entry=0x7ffff4d76bf0, flags=...) at kernel/qeventloop.cpp:149
#58 0x00007f7cb053be45 in QEventLoop::exec (this=this@entry=0x7ffff4d76bf0, flags=...) at kernel/qeventloop.cpp:204
#59 0x00007f7cb05418b9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1227
#60 0x00007f7cb0f5a73c in QApplication::exec () at kernel/qapplication.cpp:3828
#61 0x0000000000407e84 in main (argc=<optimized out>, argv=0x7ffff4d76e68) at ../../src/main.cpp:329
Comment 5 Myriam Schweingruber 2014-11-02 23:54:26 UTC
Thank you for the feedback. Looks like a lock triggered in Qt, though
Comment 6 minikontointernetowe 2014-11-15 23:14:04 UTC
Created attachment 89606 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.2 using Qt 4.8.6

Amarok is crashes when I using MusicBrains to update tags of albums.

-- Backtrace (Reduced):
#6  QReadWriteLock::lockForRead (this=this@entry=0x38) at thread/qreadwritelock.cpp:149
#7  0x00007f6956fb4610 in relock (this=<synthetic pointer>) at /usr/include/QtCore/qreadwritelock.h:111
#8  QReadLocker (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/QtCore/qreadwritelock.h:130
#9  MusicBrainzTagsItem::childCount (this=0x0) at /usr/src/debug/amarok-2.8.0/src/musicbrainz/MusicBrainzTagsItem.cpp:216
#10 0x00007f6956fba2cc in MusicBrainzTagsModel::flags (this=0x3763d00, index=...) at /usr/src/debug/amarok-2.8.0/src/musicbrainz/MusicBrainzTagsModel.cpp:210
Comment 7 Smittie 2015-03-22 21:34:35 UTC
Created attachment 91689 [details]
backtrace from SegFault

As the initial report indicated, I was updating music files via MusicBrainz. The possibly useful bit I can contribute, when there was only one record returned by MusicBrainz, there was no problem. It was when there were numerous records returned that the SegFault occurred.
Comment 8 Augusto 2015-05-03 11:32:54 UTC
Created attachment 92387 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.6 using Qt 4.8.6

- What I was doing when the application crashed:

I was attempting to update tags informations using musicbrainz

-- Backtrace (Reduced):
#6  QReadWriteLock::lockForRead (this=this@entry=0x38) at thread/qreadwritelock.cpp:149
#7  0x00007f735578c990 in relock (this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:111
#8  QReadLocker (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:130
#9  MusicBrainzTagsItem::childCount (this=0x0) at ../../src/musicbrainz/MusicBrainzTagsItem.cpp:216
#10 0x00007f7355792a3c in MusicBrainzTagsModel::flags (this=0x39c4f20, index=...) at ../../src/musicbrainz/MusicBrainzTagsModel.cpp:210
Comment 9 Richard 2015-06-26 12:12:35 UTC
Created attachment 93349 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.2 using Qt 4.8.6

- What I was doing when the application crashed:

i was updating tags with musicbrainz. it happens when i was editing more songs (+/- 120) at once, or less songs but more times...

I dont know, if it should happen, but when using musicbrainz, sometimes i have 100% cpu usage (ThreadWeaver) for long time, and sometimes not.

-- Backtrace (Reduced):
#7  QReadWriteLock::lockForRead (this=0x1c) at thread/qreadwritelock.cpp:149
#8  0xb6ebd801 in relock (this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:111
#9  QReadLocker (areadWriteLock=0x1c, this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:130
#10 MusicBrainzTagsItem::childCount (this=0x0) at ../../src/musicbrainz/MusicBrainzTagsItem.cpp:216
#11 0xb6ec3fe3 in MusicBrainzTagsModel::flags (this=0xacc6368, index=...) at ../../src/musicbrainz/MusicBrainzTagsModel.cpp:210
Comment 10 p92 2015-07-13 12:13:35 UTC
Created attachment 93580 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.8 using Qt 4.8.6

- What I was doing when the application crashed:
seems same crash as this. I was updating tags using musicbrainz in amarock and suddenly it crashed.

-- Backtrace (Reduced):
#6  0x00007f46a16552c1 in QReadWriteLock::lockForRead() (this=this@entry=0x38) at thread/qreadwritelock.cpp:149
#7  0x00007f46a34d5990 in MusicBrainzTagsItem::childCount() const (this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:111
#8  0x00007f46a34d5990 in MusicBrainzTagsItem::childCount() const (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:130
#9  0x00007f46a34d5990 in MusicBrainzTagsItem::childCount() const (this=0x0) at ../../src/musicbrainz/MusicBrainzTagsItem.cpp:216
#10 0x00007f46a34dba3c in MusicBrainzTagsModel::flags(QModelIndex const&) const (this=0x7f43834ee7e0, index=...) at ../../src/musicbrainz/MusicBrainzTagsModel.cpp:210
Comment 11 kursatcancaglar 2015-07-27 12:12:29 UTC
Created attachment 93761 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.6 using Qt 4.8.6

- What I was doing when the application crashed:

It is crashing very often. Almost every time I try to update the tags. It doesn't matter if the songs are more popular worldwide or rare Turkish songs. Sometimes it finishes searching for tags and crashes while choosing.

-- Backtrace (Reduced):
#6  QReadWriteLock::lockForRead (this=this@entry=0x38) at thread/qreadwritelock.cpp:149
#7  0x00007fdd69412990 in relock (this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:111
#8  QReadLocker (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:130
#9  MusicBrainzTagsItem::childCount (this=0x0) at ../../src/musicbrainz/MusicBrainzTagsItem.cpp:216
#10 0x00007fdd69418a3c in MusicBrainzTagsModel::flags (this=0x3c2fd80, index=...) at ../../src/musicbrainz/MusicBrainzTagsModel.cpp:210
Comment 12 Patrick Boutilier 2015-08-10 11:54:36 UTC
Created attachment 93969 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.9 using Qt 4.8.6

- What I was doing when the application crashed:

Clicked the "Get Tags from MusicBrainz" button when editting track details/Tags

-- Backtrace (Reduced):
#6  0x00000033cd477ff1 in QReadWriteLock::lockForRead() () at /lib64/libQtCore.so.4
#7  0x00007efd407572b0 in MusicBrainzTagsItem::childCount() const () at /lib64/libamaroklib.so.1
#8  0x00007efd4075d6ec in MusicBrainzTagsModel::flags(QModelIndex const&) const () at /lib64/libamaroklib.so.1
#9  0x00000039fa776afb in QSortFilterProxyModel::flags(QModelIndex const&) const () at /lib64/libQtGui.so.4
#10 0x00000039fa72e456 in QTreeView::drawRow(QPainter*, QStyleOptionViewItem const&, QModelIndex const&) const () at /lib64/libQtGui.so.4
Comment 13 Myriam Schweingruber 2015-08-11 06:30:21 UTC
*** Bug 351166 has been marked as a duplicate of this bug. ***
Comment 14 virusrushtheater 2015-08-11 18:54:03 UTC
Created attachment 93994 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.2 using Qt 4.8.6

- What I was doing when the application crashed:
Searching tags at MusicBrains. The application suddenly crashed.

-- Backtrace (Reduced):
#5  QReadWriteLock::lockForRead (this=this@entry=0x38) at thread/qreadwritelock.cpp:149
#6  0x00007f2de202af80 in relock (this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:111
#7  QReadLocker (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:130
#8  MusicBrainzTagsItem::childCount (this=0x0) at ../../src/musicbrainz/MusicBrainzTagsItem.cpp:216
#9  0x00007f2de2030c64 in MusicBrainzTagsModel::flags (this=0x4c7ff10, index=...) at ../../src/musicbrainz/MusicBrainzTagsModel.cpp:210
Comment 15 Myriam Schweingruber 2015-08-12 07:35:53 UTC
Dear all, we are well aware of this bug, but since we currently port Amarok to Qt5 which takes our full attention, this is unlikely to be fixed before the 2.9 release.

In the mean time, and as a workaround, we suggest you use Picard as a standalone tagger. It uses MusicBrainz for metadata directly as well.
Comment 16 Java_Jos 2015-08-16 14:49:15 UTC
Created attachment 94056 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.6 using Qt 4.8.6

- What I was doing when the application crashed:

I was trying to update meta tags with MusicBrainz, the application seems to have crashed on displaying the results.

-- Backtrace (Reduced):
#6  QReadWriteLock::lockForRead (this=this@entry=0x38) at thread/qreadwritelock.cpp:149
#7  0x00007fa85afe9990 in relock (this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:111
#8  QReadLocker (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:130
#9  MusicBrainzTagsItem::childCount (this=0x0) at ../../src/musicbrainz/MusicBrainzTagsItem.cpp:216
#10 0x00007fa85afefa3c in MusicBrainzTagsModel::flags (this=0x42d5c30, index=...) at ../../src/musicbrainz/MusicBrainzTagsModel.cpp:210
Comment 17 Myriam Schweingruber 2015-08-24 00:20:56 UTC
*** Bug 351636 has been marked as a duplicate of this bug. ***
Comment 18 Myriam Schweingruber 2015-08-25 11:11:18 UTC
*** Bug 351694 has been marked as a duplicate of this bug. ***
Comment 19 Myriam Schweingruber 2015-09-01 00:02:13 UTC
*** Bug 352072 has been marked as a duplicate of this bug. ***
Comment 20 Alfonso S 2015-09-03 13:14:17 UTC
Created attachment 94372 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.2 using Qt 4.8.6

- What I was doing when the application crashed:

Updating tags for a single file using MusicBrainz. It was about 50% and had already showed some results, then it crashed.

-- Backtrace (Reduced):
#6  QReadWriteLock::lockForRead (this=this@entry=0x38) at thread/qreadwritelock.cpp:149
#7  0x00007f536c6d9740 in relock (this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:111
#8  QReadLocker (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:130
#9  MusicBrainzTagsItem::childCount (this=0x0) at ../../src/musicbrainz/MusicBrainzTagsItem.cpp:216
#10 0x00007f536c6dfb4c in MusicBrainzTagsModel::flags (this=0x25b3790, index=...) at ../../src/musicbrainz/MusicBrainzTagsModel.cpp:210
Comment 21 mmotz 2015-09-05 00:38:32 UTC
Created attachment 94406 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.9 using Qt 4.8.6

- What I was doing when the application crashed:

Playing a song while attempting to update its tags using musicbrains.

-- Backtrace (Reduced):
#6  QReadWriteLock::lockForRead (this=this@entry=0x38) at thread/qreadwritelock.cpp:149
#7  0x00007f4f257593b0 in relock (this=<synthetic pointer>) at /usr/include/QtCore/qreadwritelock.h:111
#8  QReadLocker (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/QtCore/qreadwritelock.h:130
#9  MusicBrainzTagsItem::childCount (this=0x0) at /usr/src/debug/amarok-2.8.0/src/musicbrainz/MusicBrainzTagsItem.cpp:216
#10 0x00007f4f2575f06c in MusicBrainzTagsModel::flags (this=0x29baef0, index=...) at /usr/src/debug/amarok-2.8.0/src/musicbrainz/MusicBrainzTagsModel.cpp:210
Comment 22 Myriam Schweingruber 2015-09-07 23:46:19 UTC
*** Bug 352397 has been marked as a duplicate of this bug. ***
Comment 23 Myriam Schweingruber 2015-09-23 17:01:52 UTC
*** Bug 353092 has been marked as a duplicate of this bug. ***
Comment 24 kursatcancaglar 2015-09-26 20:12:26 UTC
Created attachment 94735 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.6 using Qt 4.8.6

- What I was doing when the application crashed:

I was trying to update the information of the song using MusicBrainz. After searching a while, it crashes every time I try.
Additional information: the artist I was searching for was George Michael

-- Backtrace (Reduced):
#6  QReadWriteLock::lockForRead (this=this@entry=0x38) at thread/qreadwritelock.cpp:149
#7  0x00007fa4b2923990 in relock (this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:111
#8  QReadLocker (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:130
#9  MusicBrainzTagsItem::childCount (this=0x0) at ../../src/musicbrainz/MusicBrainzTagsItem.cpp:216
#10 0x00007fa4b2929a3c in MusicBrainzTagsModel::flags (this=0x46cbe20, index=...) at ../../src/musicbrainz/MusicBrainzTagsModel.cpp:210
Comment 25 dmidge 2015-09-28 20:18:30 UTC
Created attachment 94765 [details]
Amarok crash when tagging

Same problem here. Another crash information to help debugging.
Comment 26 Myriam Schweingruber 2015-10-04 06:13:12 UTC
*** Bug 352590 has been marked as a duplicate of this bug. ***
Comment 27 Myriam Schweingruber 2015-10-05 12:32:52 UTC
*** Bug 353541 has been marked as a duplicate of this bug. ***
Comment 28 Myriam Schweingruber 2015-10-08 08:56:17 UTC
*** Bug 353663 has been marked as a duplicate of this bug. ***
Comment 29 Myriam Schweingruber 2015-10-09 21:08:33 UTC
*** Bug 353731 has been marked as a duplicate of this bug. ***
Comment 30 Myriam Schweingruber 2015-10-10 14:41:28 UTC
*** Bug 353753 has been marked as a duplicate of this bug. ***
Comment 31 Egoitz 2015-10-11 13:59:37 UTC
Created attachment 94948 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.5 using Qt 4.8.6

- What I was doing when the application crashed:

I was looking or updating information on the tracks with musicbrainz

-- Backtrace (Reduced):
#5  0x00007f6e3e1d7d51 in QReadWriteLock::lockForRead() () at /lib64/libQtCore.so.4
#6  0x00007f6e40020fd0 in MusicBrainzTagsItem::childCount() const () at /lib64/libamaroklib.so.1
#7  0x00007f6e400270ac in MusicBrainzTagsModel::flags(QModelIndex const&) const () at /lib64/libamaroklib.so.1
#8  0x00007f6e3f26246b in QSortFilterProxyModel::flags(QModelIndex const&) const () at /lib64/libQtGui.so.4
#9  0x00007f6e3f21df5f in QTreeView::drawRow(QPainter*, QStyleOptionViewItem const&, QModelIndex const&) const () at /lib64/libQtGui.so.4
Comment 32 Myriam Schweingruber 2015-10-20 10:38:40 UTC
*** Bug 354113 has been marked as a duplicate of this bug. ***
Comment 33 Myriam Schweingruber 2015-10-25 14:50:27 UTC
*** Bug 354327 has been marked as a duplicate of this bug. ***
Comment 34 Myriam Schweingruber 2015-11-01 02:32:29 UTC
*** Bug 354652 has been marked as a duplicate of this bug. ***
Comment 35 drarigsevy 2015-11-14 22:27:55 UTC
Created attachment 95505 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.2 using Qt 4.8.6

- What I was doing when the application crashed:
Yes, when I resize the column width at the window receiving new tags in the Brainz app.  It crash absolutely each time I do that.

- Custom settings of the application:
No particular settings but defauts...

-- Backtrace (Reduced):
#5  0x00007fe01116e1c1 in QReadWriteLock::lockForRead() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
[...]
#8  0x00007fe0121dbf3b in QSortFilterProxyModel::flags(QModelIndex const&) const () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#9  0x00007fe01219bcd1 in QTreeView::drawRow(QPainter*, QStyleOptionViewItem const&, QModelIndex const&) const () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#10 0x00007fe01219edc2 in QTreeView::drawTree(QPainter*, QRegion const&) const () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#11 0x00007fe0121a256c in QTreeView::paintEvent(QPaintEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
Comment 36 Myriam Schweingruber 2016-01-04 10:02:33 UTC
*** Bug 357448 has been marked as a duplicate of this bug. ***
Comment 37 Myriam Schweingruber 2016-01-04 16:09:52 UTC
*** Bug 357426 has been marked as a duplicate of this bug. ***
Comment 38 Myriam Schweingruber 2016-01-04 16:10:39 UTC
*** Bug 357436 has been marked as a duplicate of this bug. ***
Comment 39 Myriam Schweingruber 2016-01-04 16:12:05 UTC
*** Bug 357489 has been marked as a duplicate of this bug. ***
Comment 40 Steve Havelka 2016-01-04 23:38:18 UTC
Created attachment 96463 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.5 using Qt 4.8.6

- What I was doing when the application crashed:

Getting information from tags, it crashes consistently on a wide variety of MP3s.  Almost all of these MP3s were from Youtube or Vidtomp3.com.

-- Backtrace (Reduced):
#5  0x00007efea9d5dd51 in QReadWriteLock::lockForRead() () at /lib64/libQtCore.so.4
#6  0x00007efeabba6fd0 in MusicBrainzTagsItem::childCount() const () at /lib64/libamaroklib.so.1
#7  0x00007efeabbad0ac in MusicBrainzTagsModel::flags(QModelIndex const&) const () at /lib64/libamaroklib.so.1
#8  0x00007efeaade846b in QSortFilterProxyModel::flags(QModelIndex const&) const () at /lib64/libQtGui.so.4
#9  0x00007efeaada3f5f in QTreeView::drawRow(QPainter*, QStyleOptionViewItem const&, QModelIndex const&) const () at /lib64/libQtGui.so.4
Comment 41 jcg.apollosoyuz 2016-01-24 18:25:07 UTC
Created attachment 96818 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.13.3 using Qt 4.8.6

- What I was doing when the application crashed:

Attempted to update metadata for single file from musicbrainz service

-- Backtrace (Reduced):
#6  QReadWriteLock::lockForRead (this=this@entry=0x38) at thread/qreadwritelock.cpp:149
#7  0x00007f1926760f80 in relock (this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:111
#8  QReadLocker (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:130
#9  MusicBrainzTagsItem::childCount (this=0x0) at ../../src/musicbrainz/MusicBrainzTagsItem.cpp:216
#10 0x00007f1926766c64 in MusicBrainzTagsModel::flags (this=0x4dcce80, index=...) at ../../src/musicbrainz/MusicBrainzTagsModel.cpp:210
Comment 42 Argy M 2016-01-30 10:50:33 UTC
Created attachment 96917 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.16 using Qt 4.8.7

- What I was doing when the application crashed:

Searching for tags with MusicBrainz. It crashes even when searching for a single track, but only if results are found. If not, nothing happens.

-- Backtrace (Reduced):
#6  0x00007f9a90924971 in QReadWriteLock::lockForRead() () from /usr/lib/libQtCore.so.4
#7  0x00007f9a92eb4d71 in QReadLocker::relock (this=0x7ffc43451690) at /usr/include/qt4/QtCore/qreadwritelock.h:111
#8  0x00007f9a9308b9b5 in MusicBrainzTagsItem::childCount (this=0x0) at /build/amarok/src/amarok-2.8.0/src/musicbrainz/MusicBrainzTagsItem.cpp:216
#9  0x00007f9a9308f675 in MusicBrainzTagsModel::flags (this=0x3be7000, index=...) at /build/amarok/src/amarok-2.8.0/src/musicbrainz/MusicBrainzTagsModel.cpp:210
#10 0x00007f9a9156584b in QSortFilterProxyModel::flags(QModelIndex const&) const () from /usr/lib/libQtGui.so.4
Comment 43 Argy M 2016-01-30 10:50:33 UTC
Created attachment 96918 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.16 using Qt 4.8.7

- What I was doing when the application crashed:

Searching for tags with MusicBrainz. It crashes even when searching for a single track, but only if results are found. If not, nothing happens.

-- Backtrace (Reduced):
#6  0x00007f9a90924971 in QReadWriteLock::lockForRead() () from /usr/lib/libQtCore.so.4
#7  0x00007f9a92eb4d71 in QReadLocker::relock (this=0x7ffc43451690) at /usr/include/qt4/QtCore/qreadwritelock.h:111
#8  0x00007f9a9308b9b5 in MusicBrainzTagsItem::childCount (this=0x0) at /build/amarok/src/amarok-2.8.0/src/musicbrainz/MusicBrainzTagsItem.cpp:216
#9  0x00007f9a9308f675 in MusicBrainzTagsModel::flags (this=0x3be7000, index=...) at /build/amarok/src/amarok-2.8.0/src/musicbrainz/MusicBrainzTagsModel.cpp:210
#10 0x00007f9a9156584b in QSortFilterProxyModel::flags(QModelIndex const&) const () from /usr/lib/libQtGui.so.4
Comment 44 Myriam Schweingruber 2016-02-10 18:52:30 UTC
*** Bug 357079 has been marked as a duplicate of this bug. ***
Comment 45 Raymond Wooninck 2016-02-10 19:29:26 UTC
*** Bug 359222 has been marked as a duplicate of this bug. ***
Comment 46 Adnan Kurniawan 2016-02-14 06:29:53 UTC
*** Bug 359339 has been marked as a duplicate of this bug. ***
Comment 47 Mathieu Carpentier 2016-03-10 18:59:01 UTC
I experience the exact same problem on the following environment:
- Fedora 23 (4.4.3-300.fc23.x86_64)
- Amarok 2.8.0
- KDE Framework 5

The number of selected tracks has no impact: fetching tags from musicbrainz for 1 or 10 tracks will cause Amarok to crash.

I also noticed that Clementine 1.2.3 also crash. The icon of the "Complete tags automatically" suggest that Clementine also use MusicBrainz to retrieve track informations.
Comment 48 Myriam Schweingruber 2016-03-14 10:43:41 UTC
*** Bug 360447 has been marked as a duplicate of this bug. ***
Comment 49 F. Thiessen 2016-04-07 23:51:30 UTC
Created attachment 98283 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.18 using Qt 4.8.6

- What I was doing when the application crashed:

Getting information from musikbraninz, until 100% everything is fine.
It crashed after reaching 100%.
(System: openSUSE leap 42.1 KDE5 x86_64)

-- Backtrace (Reduced):
#6  QReadWriteLock::lockForRead (this=this@entry=0x38) at thread/qreadwritelock.cpp:149
#7  0x00007f5c46f51570 in relock (this=<synthetic pointer>) at /usr/include/QtCore/qreadwritelock.h:111
#8  QReadLocker (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/QtCore/qreadwritelock.h:130
#9  MusicBrainzTagsItem::childCount (this=0x0) at /usr/src/debug/amarok-2.8.0/src/musicbrainz/MusicBrainzTagsItem.cpp:216
#10 0x00007f5c46f5720c in MusicBrainzTagsModel::flags (this=0x4b53d00, index=...) at /usr/src/debug/amarok-2.8.0/src/musicbrainz/MusicBrainzTagsModel.cpp:210
Comment 50 Adnan Kurniawan 2016-04-28 11:40:47 UTC
Created attachment 98659 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.9 using Qt 4.8.6

- What I was doing when the application crashed:
using MusicBrainz to update song tags when it crashed.

-- Backtrace (Reduced):
#5  0x00007fecd1e40611 in QReadWriteLock::lockForRead() (this=0x38) at thread/qreadwritelock.cpp:149
#6  0x00007fecd3c7b600 in  () at /usr/lib64/libamaroklib.so.1
#7  0x00007fecd3c812bc in  () at /usr/lib64/libamaroklib.so.1
#8  0x00007fecd29fb5fb in QSortFilterProxyModel::flags(QModelIndex const&) const () at /usr/lib64/libQtGui.so.4
#9  0x00007fecd29bb471 in QTreeView::drawRow(QPainter*, QStyleOptionViewItem const&, QModelIndex const&) const () at /usr/lib64/libQtGui.so.4
Comment 51 Myriam Schweingruber 2016-06-12 12:01:47 UTC
*** Bug 364235 has been marked as a duplicate of this bug. ***
Comment 52 Myriam Schweingruber 2016-06-17 18:20:21 UTC
*** Bug 364415 has been marked as a duplicate of this bug. ***
Comment 53 Myriam Schweingruber 2016-06-26 19:35:37 UTC
*** Bug 364761 has been marked as a duplicate of this bug. ***
Comment 54 Manuel López-Ibáñez 2016-08-05 23:20:52 UTC
Created attachment 100474 [details]
output of amarok --debug up to crash

Same crash. Adding the output of 'amarok --debug' in case it is useful.
Comment 55 cirdan52 2016-08-18 13:11:41 UTC
Created attachment 100661 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.18 using Qt 4.8.6

I was updating tags and it was about 25% done when it crashed

-- Backtrace (Reduced):
#6  QReadWriteLock::lockForRead (this=this@entry=0x38) at thread/qreadwritelock.cpp:149
#7  0x00007f524ac3e4e0 in QReadLocker::relock (this=<synthetic pointer>) at /usr/include/QtCore/qreadwritelock.h:111
#8  QReadLocker::QReadLocker (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/QtCore/qreadwritelock.h:130
#9  MusicBrainzTagsItem::childCount (this=0x0) at /usr/src/debug/amarok-2.8.0/src/musicbrainz/MusicBrainzTagsItem.cpp:216
#10 0x00007f524ac4417c in MusicBrainzTagsModel::flags (this=0x3308530, index=...) at /usr/src/debug/amarok-2.8.0/src/musicbrainz/MusicBrainzTagsModel.cpp:210
Comment 56 Myriam Schweingruber 2016-09-03 13:47:14 UTC
*** Bug 368157 has been marked as a duplicate of this bug. ***
Comment 57 Christoph Feck 2016-10-20 20:25:43 UTC
*** Bug 371309 has been marked as a duplicate of this bug. ***
Comment 58 ygnobl 2016-10-21 19:52:46 UTC
I send a bug report about that yesterday. After many try, it seems that the bug appears when I try to update tags on ogg files only, not on mp3.
Comment 59 Christoph Feck 2016-10-28 00:43:07 UTC
*** Bug 371760 has been marked as a duplicate of this bug. ***
Comment 60 Mirko 2016-12-04 18:08:33 UTC
Created attachment 102622 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.2 using Qt 4.8.6

- What I was doing when the application crashed: updating metadata from musicbrainz while amarok was reproducing an mp3 audio file on Linux Mint 17.3

-- Backtrace (Reduced):
#5  QReadWriteLock::lockForRead (this=this@entry=0x38) at thread/qreadwritelock.cpp:149
#6  0x0000003acc2f4f80 in relock (this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:111
#7  QReadLocker (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/qt4/QtCore/qreadwritelock.h:130
#8  MusicBrainzTagsItem::childCount (this=0x0) at ../../src/musicbrainz/MusicBrainzTagsItem.cpp:216
#9  0x0000003acc2fac64 in MusicBrainzTagsModel::flags (this=0x53ed120, index=...) at ../../src/musicbrainz/MusicBrainzTagsModel.cpp:210
Comment 61 gorin 2016-12-19 21:35:13 UTC
Created attachment 102884 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.14.25 using Qt 4.8.6

- What I was doing when the application crashed:
I was trying to update id3tags for separate mp3 files. When the progress bar shows 50% and it seems it closes to next value amarok crashes. 
It had updated tags for some files without any errors or crashes, but it crashes every time for each other mp3 file

-- Backtrace (Reduced):
#6  0x00007f61dc4709f1 in QReadWriteLock::lockForRead() () at /usr/lib64/libQtCore.so.4
#7  0x00007f61deb8b4e0 in MusicBrainzTagsItem::childCount() const (this=<synthetic pointer>) at /usr/include/QtCore/qreadwritelock.h:111
#8  0x00007f61deb8b4e0 in MusicBrainzTagsItem::childCount() const (areadWriteLock=0x38, this=<synthetic pointer>) at /usr/include/QtCore/qreadwritelock.h:130
#9  0x00007f61deb8b4e0 in MusicBrainzTagsItem::childCount() const (this=0x0) at /usr/src/debug/amarok-2.8.0/src/musicbrainz/MusicBrainzTagsItem.cpp:216
#10 0x00007f61deb9117c in MusicBrainzTagsModel::flags(QModelIndex const&) const (this=0x300a980, index=...) at /usr/src/debug/amarok-2.8.0/src/musicbrainz/MusicBrainzTagsModel.cpp:210
Comment 62 Christoph Feck 2017-01-09 22:20:31 UTC
*** Bug 374817 has been marked as a duplicate of this bug. ***
Comment 63 Ben Cooksley 2017-01-12 18:31:43 UTC
Unsubscribing user per abuse report.
Comment 64 Gerry Agbobada 2017-01-29 18:31:12 UTC
Created attachment 103702 [details]
New crash information added by DrKonqi

amarok (2.8.90) on KDE Platform 4.14.26 using Qt 4.8.7

- What I was doing when the application crashed: The crash still happens when Musicbrainz seems to be done giving suggestions for all the files chosen, even with fairly recent builds of KDE (Fedora 25 ; plasma-5.8.5, kf5-5.29.0, qt5-5.7.1)

-- Backtrace (Reduced):
#6  0x00007fce9dc73bd1 in QReadWriteLock::lockForRead() () at /lib64/libQtCore.so.4
#7  0x00007fcea05f0c98 in MusicBrainzTagsItem::childCount() const () at /lib64/libamaroklib.so.1
#8  0x00007fcea05f85fb in MusicBrainzTagsModel::flags(QModelIndex const&) const () at /lib64/libamaroklib.so.1
#9  0x00007fce9e8a0b8b in QSortFilterProxyModel::flags(QModelIndex const&) const () at /lib64/libQtGui.so.4
#10 0x00007fce9e85b1a4 in QTreeView::drawRow(QPainter*, QStyleOptionViewItem const&, QModelIndex const&) const () at /lib64/libQtGui.so.4
Comment 65 Andy Bach 2017-02-01 19:43:40 UTC
Consistently crashes when trying to update entire albums tag. Could not generate backtrace as trying to install debug failed. I thought it might be as it's not running as root, so tried that - no luck w/ install of debug either. 

Application: amarok (2.8.0)
KDE Platform Version: 4.14.2
Qt Version: 4.8.6
Operating System: Linux 3.13.0-37-generic x86_64
Distribution: Linux Mint 17.1 Rebecca

Did see, from terminal that started amarok
Error: "/tmp/ksocket-andy" is owned by uid 1000 instead of uid 0.
Error: "/tmp/ksocket-andy" is owned by uid 1000 instead of uid 0.
Calling appendChild() on a null node does nothing.
Calling appendChild() on a null node does nothing.
Object::connect: No such slot MusicBrainzFinder::gotAuthenticationRequest(QNetworkReply*,QAuthenticator*)
KCrash: Application 'amarok' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
KCrash: Connect sock_file=/home/andy/.kde/socket-wiwmb-md-afb-mint/kdeinit4__0

From the attempt to install debug utils:
QSocketNotifier: Invalid socket 48 and type 'Read', disabling...
Unable to start Dr. Konqi
Not forwarding the crash to Apport.
"/usr/bin/amarok": not in executable format: File format not recognized

warning: unable to open /proc file '/proc/16499/status'

warning: unable to open /proc file '/proc/16499/status'
ptrace: No such process.
/tmp/kde-andy/drkonqid16631.tmp:2: Error in sourced command file:
No thread selected
Error: "/var/tmp/kdecache-andy" is owned by uid 1000 instead of uid 0.
"/usr/bin/amarok": not in executable format: File format not recognized

warning: unable to open /proc file '/proc/16499/status'

warning: unable to open /proc file '/proc/16499/status'
ptrace: No such process.
/tmp/kde-andy/drkonqij16631.tmp:2: Error in sourced command file:
No thread selected
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
Error: "/var/tmp/kdecache-andy" is owned by uid 1000 instead of uid 0.
Object::connect: No such signal org::freedesktop::UPower::DeviceAdded(QDBusObjectPath)
Object::connect: No such signal org::freedesktop::UPower::DeviceRemoved(QDBusObjectPath)
Comment 66 nicolas.religieux 2017-03-13 14:50:53 UTC
Hi, 
Same issue when I use the MusicBrainz tagging

Application: amarok (2.8.0)
KDE Platform Version: 4.14.22
Qt Version: 4.8.7
Operating System: Linux 4.8.0-41-generic x86_64
Distribution: Ubuntu 16.10



The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f43ebc25d80 (LWP 4086))]

Thread 39 (Thread 0x7f434d885700 (LWP 4130)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f43e7a33e2a in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007f43e7a33e59 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007f43e743f6ca in start_thread (arg=0x7f434d885700) at pthread_create.c:333
#4  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 38 (Thread 0x7f436495b700 (LWP 4129)):
#0  0x00007f43e889c0bd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f43e2a169d6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f43e2a16aec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f43e90aa22e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f43e907812f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007f43e9078495 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007f43e8f67549 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007f43e8f69e3c in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007f43e743f6ca in start_thread (arg=0x7f436495b700) at pthread_create.c:333
#9  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 37 (Thread 0x7f4365e06700 (LWP 4126)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f43e0d736fd in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f43e0d73759 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f43e743f6ca in start_thread (arg=0x7f4365e06700) at pthread_create.c:333
#4  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 36 (Thread 0x7f43855a9700 (LWP 4125)):
#0  0x00007f43e889c0bd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f43e2a169d6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f43e2a16aec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f43e90aa22e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f43e907812f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007f43e9078495 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007f43e8f67549 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007f43e90581c3 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007f43e8f69e3c in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007f43e743f6ca in start_thread (arg=0x7f43855a9700) at pthread_create.c:333
#10 0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 35 (Thread 0x7f4385ffb700 (LWP 4124)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f43e8f6a3a6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f43e6481180 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f43e64839e3 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f43e64824dd in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#5  0x00007f43e8f69e3c in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007f43e743f6ca in start_thread (arg=0x7f4385ffb700) at pthread_create.c:333
#7  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 34 (Thread 0x7f43867fc700 (LWP 4123)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f43e8f6a3a6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f43e6481180 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f43e64839e3 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#8  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#9  0x00007f43e64824dd in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#10 0x00007f43e8f69e3c in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#11 0x00007f43e743f6ca in start_thread (arg=0x7f43867fc700) at pthread_create.c:333
#12 0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 33 (Thread 0x7f4386ffd700 (LWP 4122)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f43e8f6a3a6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f43e6481180 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f43e64839e3 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f43e64824dd in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#7  0x00007f43e8f69e3c in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007f43e743f6ca in start_thread (arg=0x7f4386ffd700) at pthread_create.c:333
#9  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 32 (Thread 0x7f43877fe700 (LWP 4121)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f43e8f6a3a6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f43e6481180 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f43e64839e3 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#8  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#9  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#10 0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#11 0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#12 0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#13 0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#14 0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#15 0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#16 0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#17 0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#18 0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#19 0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#20 0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#21 0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#22 0x00007f43e64824dd in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#23 0x00007f43e8f69e3c in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#24 0x00007f43e743f6ca in start_thread (arg=0x7f43877fe700) at pthread_create.c:333
#25 0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 31 (Thread 0x7f438cff9700 (LWP 4120)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f43e8f6a3a6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f43e6481180 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f43e64839e3 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#8  0x00007f43e64824dd in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#9  0x00007f43e8f69e3c in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x00007f43e743f6ca in start_thread (arg=0x7f438cff9700) at pthread_create.c:333
#11 0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 30 (Thread 0x7f438d7fa700 (LWP 4119)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f43e8f6a3a6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f43e6481180 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f43e64839e3 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x00007f43e64824dd in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#8  0x00007f43e8f69e3c in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007f43e743f6ca in start_thread (arg=0x7f438d7fa700) at pthread_create.c:333
#10 0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 29 (Thread 0x7f438dffb700 (LWP 4118)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f43e8f6a3a6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f43e6481180 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f43e64839e3 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f43e64839fc in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f43e64824dd in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#6  0x00007f43e8f69e3c in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007f43e743f6ca in start_thread (arg=0x7f438dffb700) at pthread_create.c:333
#8  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 28 (Thread 0x7f438e7fc700 (LWP 4117)):
#0  0x00007ffc425e5b02 in clock_gettime ()
#1  0x00007f43e88b6846 in __GI___clock_gettime (clock_id=1, tp=0x7f438e7fb9e0) at ../sysdeps/unix/clock_gettime.c:115
#2  0x00007f43e8fc4635 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f43e90ab0c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f43e90a98fc in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007f43e90a99c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007f43e2a15ed9 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007f43e2a168fb in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007f43e2a16aec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f43e90aa22e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x00007f43e907812f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#11 0x00007f43e9078495 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#12 0x00007f43e8f67549 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#13 0x00007f43e90581c3 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#14 0x00007f43e8f69e3c in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#15 0x00007f43e743f6ca in start_thread (arg=0x7f438e7fc700) at pthread_create.c:333
#16 0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 27 (Thread 0x7f438effd700 (LWP 4116)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f43e8f6a384 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f43eb5b196f in AbstractDirectoryWatcher::run() () from /usr/lib/libamaroklib.so.1
#3  0x00007f43e6482cc0 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f43e6482ed0 in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#5  0x00007f43e648257b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#6  0x00007f43e8f69e3c in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007f43e743f6ca in start_thread (arg=0x7f438effd700) at pthread_create.c:333
#8  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 26 (Thread 0x7f438f7fe700 (LWP 4115)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f43bb2eb106 in os_event::wait_low(long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb44c7f6 in buf_resize_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43e743f6ca in start_thread (arg=0x7f438f7fe700) at pthread_create.c:333
#4  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 25 (Thread 0x7f4387fff700 (LWP 4114)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f43bb2eafc2 in os_event::timed_wait(timespec const*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb2eb241 in os_event::wait_time_low(unsigned long, long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb51ea8a in ib_wqueue_timedwait(ib_wqueue_t*, long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43bb38d342 in fts_optimize_thread(void*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0x00007f43e743f6ca in start_thread (arg=0x7f4387fff700) at pthread_create.c:333
#6  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 24 (Thread 0x7f438ffff700 (LWP 4113)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f43bb2eafc2 in os_event::timed_wait(timespec const*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb2eb241 in os_event::wait_time_low(unsigned long, long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb4bb649 in dict_stats_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43e743f6ca in start_thread (arg=0x7f438ffff700) at pthread_create.c:333
#5  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 23 (Thread 0x7f43a0ff9700 (LWP 4112)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f43bb2eb106 in os_event::wait_low(long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb338c74 in buf_dump_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43e743f6ca in start_thread (arg=0x7f43a0ff9700) at pthread_create.c:333
#4  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 22 (Thread 0x7f43a17fa700 (LWP 4111)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f43bb2eb106 in os_event::wait_low(long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb17931c in srv_worker_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43e743f6ca in start_thread (arg=0x7f43a17fa700) at pthread_create.c:333
#4  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 21 (Thread 0x7f43a1ffb700 (LWP 4110)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f43bb2eb106 in os_event::wait_low(long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb17931c in srv_worker_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43e743f6ca in start_thread (arg=0x7f43a1ffb700) at pthread_create.c:333
#4  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 20 (Thread 0x7f43a27fc700 (LWP 4109)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f43bb2eb106 in os_event::wait_low(long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb17931c in srv_worker_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43e743f6ca in start_thread (arg=0x7f43a27fc700) at pthread_create.c:333
#4  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 19 (Thread 0x7f43a2ffd700 (LWP 4108)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f43bb2eb106 in os_event::wait_low(long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb17c25c in srv_purge_coordinator_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43e743f6ca in start_thread (arg=0x7f43a2ffd700) at pthread_create.c:333
#4  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 18 (Thread 0x7f43a37fe700 (LWP 4107)):
#0  0x00007f43e886c71d in nanosleep () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f43bb1382df in os_thread_sleep(unsigned long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb17f1e3 in srv_master_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43e743f6ca in start_thread (arg=0x7f43a37fe700) at pthread_create.c:333
#4  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 17 (Thread 0x7f43a3fff700 (LWP 4106)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f43bb2eafc2 in os_event::timed_wait(timespec const*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb2eb241 in os_event::wait_time_low(unsigned long, long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb177baf in srv_monitor_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43e743f6ca in start_thread (arg=0x7f43a3fff700) at pthread_create.c:333
#5  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 16 (Thread 0x7f43a8997700 (LWP 4105)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f43bb2eafc2 in os_event::timed_wait(timespec const*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb2eb241 in os_event::wait_time_low(unsigned long, long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb17d720 in srv_error_monitor_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43e743f6ca in start_thread (arg=0x7f43a8997700) at pthread_create.c:333
#5  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 15 (Thread 0x7f43a9198700 (LWP 4104)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f43bb2eafc2 in os_event::timed_wait(timespec const*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb2eb241 in os_event::wait_time_low(unsigned long, long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb50bf16 in lock_wait_timeout_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43e743f6ca in start_thread (arg=0x7f43a9198700) at pthread_create.c:333
#5  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 14 (Thread 0x7f43a9b9e700 (LWP 4101)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f43bb2eafc2 in os_event::timed_wait(timespec const*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb2eb241 in os_event::wait_time_low(unsigned long, long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb16891f in buf_flush_page_cleaner_coordinator () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43e743f6ca in start_thread (arg=0x7f43a9b9e700) at pthread_create.c:333
#5  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 13 (Thread 0x7f43aa39f700 (LWP 4100)):
#0  0x00007f43c82a164a in ?? () from /lib/x86_64-linux-gnu/libaio.so.1
#1  0x00007f43bb149078 in LinuxAIOHandler::collect() () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb14fd0c in LinuxAIOHandler::poll(fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb15348d in os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43bb3420df in fil_aio_wait(unsigned long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0x00007f43bb474830 in io_handler_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#6  0x00007f43e743f6ca in start_thread (arg=0x7f43aa39f700) at pthread_create.c:333
#7  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 12 (Thread 0x7f43aaba0700 (LWP 4099)):
#0  0x00007f43c82a164a in ?? () from /lib/x86_64-linux-gnu/libaio.so.1
#1  0x00007f43bb149078 in LinuxAIOHandler::collect() () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb14fd0c in LinuxAIOHandler::poll(fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb15348d in os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43bb3420df in fil_aio_wait(unsigned long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0x00007f43bb474830 in io_handler_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#6  0x00007f43e743f6ca in start_thread (arg=0x7f43aaba0700) at pthread_create.c:333
#7  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 11 (Thread 0x7f43ab3a1700 (LWP 4098)):
#0  0x00007f43c82a164a in ?? () from /lib/x86_64-linux-gnu/libaio.so.1
#1  0x00007f43bb149078 in LinuxAIOHandler::collect() () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb14fd0c in LinuxAIOHandler::poll(fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb15348d in os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43bb3420df in fil_aio_wait(unsigned long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0x00007f43bb474830 in io_handler_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#6  0x00007f43e743f6ca in start_thread (arg=0x7f43ab3a1700) at pthread_create.c:333
#7  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 10 (Thread 0x7f43abba2700 (LWP 4097)):
#0  0x00007f43c82a164a in ?? () from /lib/x86_64-linux-gnu/libaio.so.1
#1  0x00007f43bb149078 in LinuxAIOHandler::collect() () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb14fd0c in LinuxAIOHandler::poll(fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb15348d in os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43bb3420df in fil_aio_wait(unsigned long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0x00007f43bb474830 in io_handler_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#6  0x00007f43e743f6ca in start_thread (arg=0x7f43abba2700) at pthread_create.c:333
#7  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 9 (Thread 0x7f43ac3a3700 (LWP 4096)):
#0  0x00007f43c82a164a in ?? () from /lib/x86_64-linux-gnu/libaio.so.1
#1  0x00007f43bb149078 in LinuxAIOHandler::collect() () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb14fd0c in LinuxAIOHandler::poll(fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb15348d in os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43bb3420df in fil_aio_wait(unsigned long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0x00007f43bb474830 in io_handler_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#6  0x00007f43e743f6ca in start_thread (arg=0x7f43ac3a3700) at pthread_create.c:333
#7  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 8 (Thread 0x7f43acba4700 (LWP 4095)):
#0  0x00007f43c82a164a in ?? () from /lib/x86_64-linux-gnu/libaio.so.1
#1  0x00007f43bb149078 in LinuxAIOHandler::collect() () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb14fd0c in LinuxAIOHandler::poll(fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb15348d in os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43bb3420df in fil_aio_wait(unsigned long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0x00007f43bb474830 in io_handler_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#6  0x00007f43e743f6ca in start_thread (arg=0x7f43acba4700) at pthread_create.c:333
#7  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 7 (Thread 0x7f43ad3a5700 (LWP 4094)):
#0  0x00007f43c82a164a in ?? () from /lib/x86_64-linux-gnu/libaio.so.1
#1  0x00007f43bb149078 in LinuxAIOHandler::collect() () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb14fd0c in LinuxAIOHandler::poll(fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb15348d in os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43bb3420df in fil_aio_wait(unsigned long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0x00007f43bb474830 in io_handler_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#6  0x00007f43e743f6ca in start_thread (arg=0x7f43ad3a5700) at pthread_create.c:333
#7  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 6 (Thread 0x7f43adba6700 (LWP 4093)):
#0  0x00007f43c82a164a in ?? () from /lib/x86_64-linux-gnu/libaio.so.1
#1  0x00007f43bb149078 in LinuxAIOHandler::collect() () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb14fd0c in LinuxAIOHandler::poll(fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb15348d in os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43bb3420df in fil_aio_wait(unsigned long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0x00007f43bb474830 in io_handler_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#6  0x00007f43e743f6ca in start_thread (arg=0x7f43adba6700) at pthread_create.c:333
#7  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 5 (Thread 0x7f43ae3a7700 (LWP 4092)):
#0  0x00007f43c82a164a in ?? () from /lib/x86_64-linux-gnu/libaio.so.1
#1  0x00007f43bb149078 in LinuxAIOHandler::collect() () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb14fd0c in LinuxAIOHandler::poll(fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb15348d in os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43bb3420df in fil_aio_wait(unsigned long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0x00007f43bb474830 in io_handler_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#6  0x00007f43e743f6ca in start_thread (arg=0x7f43ae3a7700) at pthread_create.c:333
#7  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 4 (Thread 0x7f43aeba8700 (LWP 4091)):
#0  0x00007f43c82a164a in ?? () from /lib/x86_64-linux-gnu/libaio.so.1
#1  0x00007f43bb149078 in LinuxAIOHandler::collect() () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43bb14fd0c in LinuxAIOHandler::poll(fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f43bb15348d in os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f43bb3420df in fil_aio_wait(unsigned long) () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0x00007f43bb474830 in io_handler_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#6  0x00007f43e743f6ca in start_thread (arg=0x7f43aeba8700) at pthread_create.c:333
#7  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 3 (Thread 0x7f43ba351700 (LWP 4090)):
#0  0x00007f43e87d6ee6 in __GI___sigwaitinfo (set=<optimized out>, info=0x7f43ba350ca0) at ../sysdeps/unix/sysv/linux/sigwaitinfo.c:56
#1  0x00007f43bab827ab in ?? () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f43e743f6ca in start_thread (arg=0x7f43ba351700) at pthread_create.c:333
#3  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 2 (Thread 0x7f43cab6f700 (LWP 4089)):
#0  0x00007f43e8897c8d in read () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f43dc1e80c1 in pa_read () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-9.0.so
#2  0x00007f43e1a43bce in pa_mainloop_prepare () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007f43e1a44640 in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007f43e1a44700 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007f43e1a52729 in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f43dc217228 in ?? () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-9.0.so
#7  0x00007f43e743f6ca in start_thread (arg=0x7f43cab6f700) at pthread_create.c:333
#8  0x00007f43e88a80af in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 1 (Thread 0x7f43ebc25d80 (LWP 4086)):
[KCrash Handler]
#6  0x00007f43e8f65651 in QReadWriteLock::lockForRead() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007f43eb74bb30 in ?? () from /usr/lib/libamaroklib.so.1
#8  0x00007f43eb75382c in ?? () from /usr/lib/libamaroklib.so.1
#9  0x00007f43e9b6841b in QSortFilterProxyModel::flags(QModelIndex const&) const () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#10 0x00007f43e9b2284b in QTreeView::drawRow(QPainter*, QStyleOptionViewItem const&, QModelIndex const&) const () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#11 0x00007f43e9b25ef8 in QTreeView::drawTree(QPainter*, QRegion const&) const () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#12 0x00007f43e9b29b76 in QTreeView::paintEvent(QPaintEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#13 0x00007f43e95fc930 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#14 0x00007f43e99c665e in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#15 0x00007f43e9aebfc3 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#16 0x00007f43e9b2d8fc in QTreeView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#17 0x00007f43e9079a16 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#18 0x00007f43e95a601c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#19 0x00007f43e95acf76 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#20 0x00007f43ea7ed4ba in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#21 0x00007f43e90798ad in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#22 0x00007f43e95f6f97 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#23 0x00007f43e95f79a7 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#24 0x00007f43e95f78ab in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#25 0x00007f43e95f78ab in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#26 0x00007f43e95f78ab in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#27 0x00007f43e95f78ab in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#28 0x00007f43e95f6b26 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#29 0x00007f43e95f79a7 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#30 0x00007f43e95f78ab in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#31 0x00007f43e95f78ab in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#32 0x00007f43e95f6b26 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#33 0x00007f43e95f79a7 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#34 0x00007f43e95f6b26 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#35 0x00007f43e97cbe22 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#36 0x00007f43e95e9cb0 in QWidgetPrivate::syncBackingStore() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#37 0x00007f43e95fca18 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#38 0x00007f43e95a603c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#39 0x00007f43e95acf76 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#40 0x00007f43ea7ed4ba in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#41 0x00007f43e90798ad in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#42 0x00007f43e907d366 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#43 0x00007f43e90aa09e in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#44 0x00007f43e2a167d7 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#45 0x00007f43e2a16a40 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#46 0x00007f43e2a16aec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#47 0x00007f43e90aa20e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#48 0x00007f43e9653666 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#49 0x00007f43e907812f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#50 0x00007f43e9078495 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#51 0x00007f43e907e459 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#52 0x000000000040866d in ?? ()
#53 0x00007f43e87c03f1 in __libc_start_main (main=0x401940, argc=1, argv=0x7ffc425e1188, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffc425e1178) at ../csu/libc-start.c:291
#54 0x000000000040a299 in _start ()
Comment 67 Myriam Schweingruber 2017-03-21 16:22:39 UTC
*** Bug 377854 has been marked as a duplicate of this bug. ***
Comment 68 Myriam Schweingruber 2017-03-31 21:43:25 UTC
*** Bug 378323 has been marked as a duplicate of this bug. ***
Comment 69 m_louis30 2017-04-01 01:31:50 UTC
The crash is caused by this code around musicbrainz/MusicBrainzTagsModel.cpp:205:

if( !index.isValid() || !parent( index ).isValid() )
  [...] static_cast<MusicBrainzTagsItem *>( index.internalPointer())->childCount() [...]

ie the internal pointer of an invalid item is dereferenced. Checking that the pointer in not null before using it makes the crash go away:

if( !index.isValid() || !parent( index ).isValid() )
{
    // Disable items with no children.
    MusicBrainzTagsItem *item = static_cast<MusicBrainzTagsItem *>( index.internalPointer() );
    if ( !item || item->childCount() == 0 )
        return QAbstractItemModel::flags( index ) ^ Qt::ItemIsEnabled;
}

When the crash is gone, empty rows show up in the track list. The corresponding QModelIndex are invalid, and I think these are the ones created in MusicBrainzTagsModel::index when childItem is null. This should not happen, because in principle row < parentItem->childCount(), but sometimes it's not the case.

I suspect the check for !parent.isValid() in MusicBrainzTagsModel::rowCount may be the root cause of everything, but I was unable to understand how to fix the problem.
Comment 70 Myriam Schweingruber 2017-04-24 14:13:34 UTC
*** Bug 379119 has been marked as a duplicate of this bug. ***
Comment 71 Myriam Schweingruber 2017-08-10 23:08:36 UTC
*** Bug 383215 has been marked as a duplicate of this bug. ***
Comment 72 Sergey Ivanov 2017-08-23 15:40:46 UTC
Git commit 88ee85a8333cf54dc123fef5e07a1c92ab9f7261 by Sergey Ivanov.
Committed on 20/08/2017 at 08:28.
Pushed by ivanov into branch 'master'.

Fix crash during musicbrainz search.
REVIEW: 130232

M  +2    -1    ChangeLog
M  +3    -3    src/musicbrainz/MusicBrainzFinder.cpp
M  +1    -2    src/musicbrainz/MusicBrainzFinder.h
M  +68   -120  src/musicbrainz/MusicBrainzTagsItem.cpp
M  +5    -1    src/musicbrainz/MusicBrainzTagsItem.h
M  +57   -9    src/musicbrainz/MusicBrainzTagsModel.cpp
M  +2    -0    src/musicbrainz/MusicBrainzTagsModel.h
M  +2    -1    src/musicbrainz/MusicBrainzXmlParser.cpp
M  +1    -1    src/musicbrainz/MusicBrainzXmlParser.h

https://commits.kde.org/amarok/88ee85a8333cf54dc123fef5e07a1c92ab9f7261
Comment 73 Myriam Schweingruber 2017-09-22 20:43:06 UTC
*** Bug 384949 has been marked as a duplicate of this bug. ***
Comment 74 Myriam Schweingruber 2017-10-03 14:15:17 UTC
*** Bug 385138 has been marked as a duplicate of this bug. ***